Bug 230340 - F-spot dies when File->Import is selected
F-spot dies when File->Import is selected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-28 09:03 EST by Tim Lauridsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.3.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-21 14:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Lauridsen 2007-02-28 09:03:31 EST
Description of problem:
F-spot dies with stacktrace when File->Import (Ctrl N) is selected.

Version-Release number of selected component (if applicable):
f-spot-0.3.3-1.fc7

How reproducible:
Every Time

Steps to Reproduce:
1. Start 'f-spot'
2. Select 'File->Import'
3.
  
Actual results:

F-spot dies

Expected results:

Import Dialog appears.
Additional info:

an unhandled exception was thrown: libgphoto2.so.2

  at (wrapper managed-to-native) LibGPhoto2.Context:gp_context_new ()
  at LibGPhoto2.Context..ctor () [0x00000] 
  at GPhotoCamera..ctor () [0x00000] 
  at ImportCommand+SourceMenu..ctor (.ImportCommand command) [0x00000] 
  at ImportCommand.ImportFromFile (.PhotoStore store, System.String path) [0x00000] 
  at MainWindow.HandleImportCommand (System.Object sender, System.EventArgs e)
[0x00000] 
  at (wrapper delegate-invoke)
System.MulticastDelegate:invoke_void_object_EventArgs (object,System.EventArgs)
  at GLib.Signal.voidObjectCallback (IntPtr handle, IntPtr gch) [0x00000] 
  at (wrapper native-to-managed) GLib.Signal:voidObjectCallback (intptr,intptr)
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) Gtk.Application:gtk_main ()
  at Gtk.Application.Run () [0x00000] 
  at Gnome.Program.Run () [0x00000] 
  at FSpot.Driver.Main (System.String[] args) [0x00000] 
.NET Version: 2.0.50727.42

Assembly Version Information:

libgphoto2-sharp (1.0.2600.27952)
google-sharp (0.1.0.0)
FlickrNet (2.1.2.27945)
SmugMugNet (0.0.0.0)
pango-sharp (2.10.0.0)
SemWeb (0.7.1.0)
glade-sharp (2.10.0.0)
gtkhtml-sharp (2.16.0.0)
System.Transactions (2.0.0.0)
gconf-sharp (2.16.0.0)
System.Data (2.0.0.0)
Mono.Data.SqliteClient (2.0.0.0)
gdk-sharp (2.10.0.0)
gnome-vfs-sharp (2.16.0.0)
NDesk.DBus (0.0.0.0)
System (2.0.0.0)
Mono.Posix (2.0.0.0)
NDesk.DBus.GLib (0.3.0.0)
atk-sharp (2.10.0.0)
gtk-sharp (2.10.0.0)
glib-sharp (2.10.0.0)
gnome-sharp (2.16.0.0)
f-spot (0.3.3.0)
Mono.GetOptions (2.0.0.0)
mscorlib (2.0.0.0)

Platform Information: Linux 2.6.20-1.2947.fc7 i686 i386 GNU/Linux

Distribution Information:

[/etc/redhat-release]
Fedora release 6.91 (Rawhide)

[/etc/fedora-release]
Fedora release 6.91 (Rawhide)
Comment 1 Tim Lauridsen 2007-03-21 14:11:16 EDT
Solved now in f-spot-0.3.5-1.fc7.

Note You need to log in before you can comment on or make changes to this bug.